Mac Catilina brew Install Fails with access error

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Post Reply
Shellback3
Posts: 2
Joined: 2019-11-08T14:18:44-07:00
Authentication code: 1152

Mac Catilina brew Install Fails with access error

Post by Shellback3 » 2019-11-08T14:36:27-07:00

After fixing some install problems I tried again
brew install imagemagick
I got this error

Pouring imagemagick-7.0.9-2.catalina.bottle.tar.gz
🍺 /usr/local/Cellar/imagemagick/7.0.9-2: 1,479 files, 24.4MB
==> `brew cleanup` has not been run in 30 days, running now...
Removing: /usr/local/Cellar/libtiff/4.0.10_1... (246 files, 3.5MB)
Error: Permission denied @ apply2files - /usr/local/share/ghostscript/9.19/Resource/CIDFSubst/ipaexg.ttf

Apparently there's a broken link:

>file /usr/local/share/ghostscript/9.19/Resource/CIDFSubst/ipaexg.ttf
/usr/local/share/ghostscript/9.19/Resource/CIDFSubst/ipaexg.ttf: broken symbolic link to /Library/TeX/Root/texmf-dist/fonts/truetype/public/ipaex/ipaexg.ttf

What should I do to resolve this??

User avatar
fmw42
Posts: 25656
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Mac Catilina brew Install Fails with access error

Post by fmw42 » 2019-11-08T17:00:07-07:00

To me that sounds like a Homebrew issue. Sorry to dump it off to them. Perhaps someone else on this forum might be able to suggest otherwise.

Also Ghostscript 9.19 is rather old. I would suggest using GS 9.23, 9.24, 9.25 (9.26 and 9.27 have bugs). I am not sure about the latest version just out.

Shellback3
Posts: 2
Joined: 2019-11-08T14:18:44-07:00
Authentication code: 1152

Re: Mac Catilina brew Install Fails with access error

Post by Shellback3 » 2019-11-09T09:36:46-07:00

Thanks, I'll try to install ghostscript from ghostscript site. I followed the brew suggestions when brew told me that that Ghostscript was needed... Guess that's out of date.

Post Reply